#! /bin/sh
#
# Copyright  (C) 1985-2010 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#


if [ -z "${PATH}" ]
then
    PATH="<INSTALLDIR>/bin/ia32"; export PATH
else
    PATH="<INSTALLDIR>/bin/ia32:${PATH}"; export PATH
fi
if [ "`uname`" = "Darwin" ]; then
   # DYLD_LIBRARY_PATH is used on MAC OS*
   if [ -z "${DYLD_LIBRARY_PATH}" ]
   then
       DYLD_LIBRARY_PATH="<INSTALLDIR>/lib"; export DYLD_LIBRARY_PATH
   else
       DYLD_LIBRARY_PATH="<INSTALLDIR>/lib:${DYLD_LIBRARY_PATH}"; export DYLD_LIBRARY_PATH
   fi
   if [ -z "${LIBRARY_PATH}" ]
   then
       LIBRARY_PATH="<INSTALLDIR>/lib"; export LIBRARY_PATH
   else
       LIBRARY_PATH="<INSTALLDIR>/lib:${LIBRARY_PATH}"; export LIBRARY_PATH
   fi
   if [ -z "${NLSPATH}" ] 
   then
       NLSPATH="<INSTALLDIR>/lib/locale/en_US/%N"; export NLSPATH
   else
       NLSPATH="<INSTALLDIR>/lib/locale/en_US/%N:${NLSPATH}"; export NLSPATH
   fi
   if [ -z "${INTEL_LICENSE_FILE}" ]
   then
      INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses"; export INTEL_LICENSE_FILE 
   else
      INTEL_LICENSE_FILE="${INTEL_LICENSE_FILE}:<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses"; export INTEL_LICENSE_FILE
   fi
   if [ -z "${MANPATH}" ]
   then
      MANPATH="<INSTALLDIR>/man/en_US":$(manpath); export MANPATH
   else
      MANPATH="<INSTALLDIR>/man/en_US:${MANPATH}"; export MANPATH
   fi
else
   if [ -z "${LD_LIBRARY_PATH}" ]
   then
       LD_LIBRARY_PATH="<INSTALLDIR>/lib/ia32"; export LD_LIBRARY_PATH
   else
       LD_LIBRARY_PATH="<INSTALLDIR>/lib/ia32:${LD_LIBRARY_PATH}"; export LD_LIBRARY_PATH
   fi
   if [ -z "${LIBRARY_PATH}" ]
   then
       LIBRARY_PATH="<INSTALLDIR>/lib/ia32"; export LIBRARY_PATH
   else
       LIBRARY_PATH="<INSTALLDIR>/lib/ia32:${LIBRARY_PATH}"; export LIBRARY_PATH
   fi
  if [ -z "${NLSPATH}" ] 
  then
     NLSPATH="<INSTALLDIR>/lib/ia32/locale/%l_%t/%N"; export NLSPATH 
  else
     NLSPATH="<INSTALLDIR>/lib/ia32/locale/%l_%t/%N:${NLSPATH}"; export NLSPATH
  fi
  if [ -z "${INTEL_LICENSE_FILE}" ]
  then
     INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses"; export INTEL_LICENSE_FILE 
  else
     INTEL_LICENSE_FILE="${INTEL_LICENSE_FILE}:<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses"; export INTEL_LICENSE_FILE
  fi
  if [ "$LC_CTYPE" ]
  then
     LANGUAGE_TERRITORY=`echo $LC_CTYPE | sed s/\\\\..\\*//`
  else  if [ "$LANG" ]
     then
       LANGUAGE_TERRITORY=`echo $LANG | sed s/\\\\..\\*//`
     fi
  fi

  if [ "$LANGUAGE_TERRITORY" != "en_US" ]
  then
     if [ "$LANGUAGE_TERRITORY" != "ja_JP" ]
     then
        LANGUAGE_TERRITORY="en_US"
     fi
  fi

  if [ -z "${MANPATH}" ]
  then
     MANPATH="<INSTALLDIR>/man/$LANGUAGE_TERRITORY":$(manpath); export MANPATH
  else
     MANPATH="<INSTALLDIR>/man/$LANGUAGE_TERRITORY:${MANPATH}"; export MANPATH
  fi
fi
